> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhooks configured for the current account.



## OpenAPI

````yaml get /api/v1/webhooks
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks:
    get:
      tags:
        - webhooks
        - Webhooks
      summary: List webhooks for the current account
      description: List all webhooks configured for the current account.
      operationId: list_webhooks_api_v1_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
components:
  schemas:
    WebhookListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: WebhookListResponse
      description: Paginated list of webhooks.
    WebhookResponse:
      properties:
        id:
          type: string
          title: Id
        account_id:
          type: string
          title: Account Id
        url:
          type: string
          title: Url
        collection:
          type: string
          title: Collection
        events:
          items:
            type: string
          type: array
          title: Events
        filter:
          anyOf:
            - type: string
            - type: 'null'
          title: Filter
        enabled:
          type: boolean
          title: Enabled
        headers:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Headers
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - account_id
        - url
        - collection
        - events
        - filter
        - enabled
        - headers
        - created_at
        - updated_at
        - created_by
      title: WebhookResponse
      description: Webhook details response (secret NOT included).

````